// http://oz.irtc.org/ftp/pub/stills/1997-02-28/verres1.zip 
// http://oz.irtc.org/ftp/pub/stills/1997-02-28/verres1.jpg

// Source "translated" from Luxart 2.0 to PovRay 3.7 language

#version 3.7;

#declare PHOT = 0;  // photons 0 = out; 1 = save photons; 2 = load photons
                
global_settings {
        assumed_gamma 2.2
        max_trace_level 5
        noise_generator 2
        #if (PHOT > 0)
                photons {
                        spacing 0.004
                        autostop 0
                        jitter 1
                        #if (PHOT = 1)
                                save_file "pov.ph"
                        #else
                                load_file "pov.ph"
                        #end                        
                }
        #end
}

#include "stdinc.inc"

#include "puz2.inc"

camera { 
        location <0,-85,15> 
        right -x*image_width/image_height 
        sky z 
        look_at <0,0,15> 
        angle 40
}


// ***************** 

light_source {
        <25,25,15>,              
        color srgb 0.9*5        
        spotlight               
        point_at <0,15,80>      
        radius 40               
        tightness 0             
        falloff 80              
        fade_distance 20
        fade_power 2
        photons {
                reflection on 
                refraction on
        }
}

light_source {
        <-20,10,30>,            
        color srgb 0.9*5       
        spotlight              
        point_at <-40,0,20>    
        radius 55              
        tightness 0            
        falloff 75             
        fade_distance 20
        fade_power 2
        photons {
                reflection on 
                refraction on
        }
}

light_source {
        <0,48,-45>,              
        color srgb <1,1,0>*5    
        spotlight               
        point_at <-30,55,15>    
        radius 85               
        tightness 0             
        falloff 120             
        fade_distance 20
        fade_power 2
        photons {
                reflection on 
                refraction on
        }
}

light_source {
        <0,48,-45>,              
        color srgb <0,0.5,1>*5  
        spotlight               
        point_at <-30,55,15>    
        radius 85               
        tightness 0             
        falloff 120             
        fade_distance 20
        fade_power 2
        photons {
                reflection on 
                refraction on
        }
} 


// ***************** 

#declare P1 = 12;

#declare X1 = 0;
#declare Y1 = 0;
#declare Z1 = 0;
                                    
sor {
        18,
        <0, -0.5>
        <8, 0>
        <2, 0.5>
        <1, 1>
        <0.5, 1.5>
        <0.65, 14>
        <1.2, 14.5>
        <1.35, 15>
        <3, 17>
        <4, 20>
        <7, 22>
        <8, 23>
        <9, 24>
        <9.2, 25>
        <9.5, 26>
        <9.75, 27>
        <9.5, 28>
        <8, 0>
        open
        sturm
        material {
                texture {
                        pigment {color srgbt 1} 
                        finish {
                                ambient 0 
                                diffuse 0.05 
                                specular 40 
                                roughness 0.002 
                                reflection {0.3, 1 fresnel} 
                                conserve_energy
                        }
                } 
                interior {ior 1.52}
        }
        rotate x*90
        translate <0,0,0.6>
        photons {
                target
                refraction on
                reflection on
                collect off
        }
}

sor {
        18,
        <0, -0.5>
        <8, 0>
        <2, 0.5>
        <1, 1>
        <0.5, 1.5>
        <0.65, 14>
        <1.2, 14.5>
        <1.35, 15>
        <3, 17>
        <4, 20>
        <7, 22>
        <8, 23>
        <9, 24>
        <9.2, 25>
        <9.5, 26>
        <9.75, 27>
        <9.5, 28>
        <8, 0>
        open
        sturm
        material {
                texture {
                        pigment {color srgbt 1} 
                        finish {
                                ambient 0 
                                diffuse 0.05 
                                specular 40 
                                roughness 0.002 
                                reflection {0.3, 1 fresnel} 
                                conserve_energy 
                        }
                }        
                interior {ior 1.52}
        }
        rotate x*90
        translate <-20,20,0.6>
        photons {
                target
                refraction on
                reflection on
                collect off
        }
}

sor {
        18,
        <0, -0.5>
        <8, 0>
        <2, 0.5>
        <1, 1>
        <0.5, 1.5>
        <0.65, 14>
        <1.2, 14.5>
        <1.35, 15>
        <3, 17>
        <4, 20>
        <7, 22>
        <8, 23>
        <9, 24>
        <9.2, 25>
        <9.5, 26>
        <9.75, 27>
        <9.5, 28>
        <8, 0>
        open
        sturm
        material {
                texture {
                        pigment {color srgbt 1} 
                        finish {
                                ambient 0 
                                diffuse 0.05 
                                specular 40 
                                roughness 0.002 
                                reflection {0.3, 1 fresnel} 
                                conserve_energy 
                        }
                } 
                interior {ior 1.52}
        }
        rotate x*90
        translate <20,20,0.6>
        photons {
                target
                refraction on
                reflection on
                collect off
        }
}

union {
        sphere {<-37,45,2.75+0.45>, 2.75}
        sphere {<10,40,3+0.45>, 3}
        sphere {<-5,20,2.5+0.45>, 2.5}
        sphere {<25,5,4.5+0.45>, 4.5}
        sphere {<-15,-20,2+0.45>, 2}
        sphere {<-10,-23,0.75+0.45>, 0.75}
        sphere {<15,-2.5,1.5+0.45>, 1.5}
        material {
                texture {
                        pigment {color srgbt 1} 
                        finish {
                                ambient 0 
                                diffuse 0.05 
                                specular 40 
                                roughness 0.002 
                                reflection {0.3, 1 fresnel} 
                                conserve_energy 
                        }
                } 
                interior {ior 1.52}
        }
        photons {
                target
                refraction on
                reflection on
                collect off
        }
}


// **************************** TABLE

object {
        puz2
        material {
                texture {
                        pigment {color srgb <0.275,0.322,0.354>} 
                        finish {
                                ambient 0 
                                diffuse 0.05 
                                specular 40 
                                roughness 0.002 
                                reflection {0.35, 0.55}
                        }
                }
                interior {ior 1.52}
        }
        photons {
                target
                refraction on
                reflection on
                collect off
        }
        translate <-4.5,-3.5,-0.05>
        scale 9
}


// *************** cotes

box {
        <-150,-150,-50>, <-151,250,100> 
        texture {
                pigment {color srgb 1*2} 
                finish {ambient 0 diffuse 1 reflection 0.1}
        }
}

box {
        <150,-150,-50>, <151,250,100> 
        texture {
                pigment {color srgb <0.2,0.7,0.5>} 
                finish {ambient 0 diffuse 1 reflection 0.1}
        }
}

box {
        <-150,65,-50>, <150,66,100> 
        texture {
                pigment {color srgb <0.6,0.7,0.35>} 
                finish {ambient 0 diffuse 1 reflection 0.1}
        }
}

box {
        <-151,-150,-50>, <150,-151,100> 
        texture {
                pigment {color srgb 1} 
                finish {ambient 0 diffuse 1 reflection 0.1}
        }
}

box {
        <-151,-151,80>, <151,251,79.99> 
        texture {
                pigment {color srgb <0,0,1>*1.6} 
                finish {ambient 0 diffuse 1 reflection 0.1}
        }
}

box {
        <-50,-150,-51>, <50,150,-50> 
        texture {
                pigment {color srgb <0.6,0.7,0.35>} 
                finish {ambient 0 diffuse 1}
        }
}


// ***************** lames colorees

box {
        <0.5,10 20>, <-0.5,-10,-20>
        texture {
                pigment {color srgb <1,0.5,0>} 
                finish {ambient 0 diffuse 0.8 reflection 0.1}
        }
        rotate <0,0,10>
        translate <-43,0,20>
}

box {
        <0.5,10 20>, <-0.5,-10,-20>
        texture {
                pigment {color srgb <0,0.15,0.5>*2}
                finish {ambient 0 diffuse 0.8 reflection 0.1}
        }
        rotate <0,0,10>
        translate <-35,-15,20>
} 
                       
box {
        <0.5,10 20>, <-0.5,-10,-20>
        texture {
                pigment {color srgb <1,0,1>}
                finish {ambient 0 diffuse 0.8 reflection 0.1}
        }
        rotate <0,0,0>
        translate <-45,15,20>
} 

               
// ***************** reflecteur a droite

box {
        <0.5,10 20>, <-0.5,-10,-20>
        texture {
                pigment {color srgb <0.8,0.6,0.4>} 
                finish {ambient 0 diffuse 1 reflection 0.1}
        }
        rotate <0,0,-10>
        translate <45,-5,20>
}

               
//  ***************** grille

union {                                      
        cylinder {<  0,0,-80>, < 0,0,80>, 0.25}
        cylinder {< -2,0,-80>, <-2,0,80>, 0.25}
        cylinder {< -6,0,-80>, <-6,0,80>, 0.35}
        cylinder {<-10,0,-80>, <-10,0,80>, 0.25}
        cylinder {<-12,0,-80>, <-12,0,80>, 0.25}
        cylinder {<-16,0,-80>, <-16,0,80>, 0.35}
        cylinder {<-20,0,-80>, <-20,0,80>, 0.25}
        cylinder {<-22,0,-80>, <-22,0,80>, 0.25}
        cylinder {<-26,0,-80>, <-26,0,80>, 0.35}
        cylinder {<-30,0,-80>, <-30,0,80>, 0.25}
        cylinder {<-32,0,-80>, <-32,0,80>, 0.25}
        cylinder {<-36,0,-80>, <-36,0,80>, 0.35}
        cylinder {<-40,0,-80>, <-40,0,80>, 0.25}
        cylinder {<-42,0,-80>, <-42,0,80>, 0.25}
        cylinder {<-46,0,-80>, <-46,0,80>, 0.35}                                 
                 
        cylinder {< 0,0,-80>, <0,0,80>, 0.25}
        cylinder {< 2,0,-80>, <2,0,80>, 0.25}
        cylinder {< 6,0,-80>, <6,0,80>, 0.35}
        cylinder {<10,0,-80>, <10,0,80>, 0.25}
        cylinder {<12,0,-80>, <12,0,80>, 0.25}
        cylinder {<16,0,-80>, <16,0,80>, 0.35}
        cylinder {<20,0,-80>, <20,0,80>, 0.25}
        cylinder {<22,0,-80>, <22,0,80>, 0.25}
        cylinder {<26,0,-80>, <26,0,80>, 0.35}
        cylinder {<30,0,-80>, <30,0,80>, 0.25}
        cylinder {<32,0,-80>, <32,0,80>, 0.25}
        cylinder {<36,0,-80>, <36,0,80>, 0.35}
        cylinder {<40,0,-80>, <40,0,80>, 0.25}
        cylinder {<42,0,-80>, <42,0,80>, 0.25}
        cylinder {<46,0,-80>, <46,0,80>, 0.35}
 
        torus {2.5, 0.24}
        torus {5, 0.24}
        torus {10, 0.24}
        torus {20, 0.24}
        torus {30, 0.24}
        torus {40, 0.24}
        torus {50, 0.24}
        torus {60, 0.24}                        
                                   
        texture {
                pigment {color srgb <0.4,0.4,0.456>}
        	finish {
                	diffuse 0 
        		ambient 0
        		emission 0
        		reflection 0.57 
                        specular 1.6 
                        metallic 
                        brilliance 4 
                        roughness 0.003
                }               
        }
        translate <0,52,0>
        photons {
                target
                reflection on
                collect off
        }
}